# ij.showNoCountForSelect property

#### Function

The `ij.showNoCountForSelect` property specifies whether to display messages indicating the number of rows selected. Default is false, that is, if the property is not set, select count messages are displayed.

#### Syntax

    ij.showNoCountForSelect={ false | true }

#### Example

In the following example, `ij` is first started with the `ij.showNoCountForSelect` property to true, then with the property set to false.

    java -Dij.showNoCountForSelect=true org.apache.derby.tools.ij
    ij version 10.5
    CONNECTION0*
    * = current connection
    ij> create table t1 (c1 int);
    0 rows inserted/updated/deleted
    ij> insert into t1 values 1, 2, 3;
    3 rows inserted/updated/deleted
    ij> select * from t1;
    C1
    -----------
    1
    2
    3
    ij> disconnect;
    ij> exit;

    java -Dij.showNoCountForSelect=false org.apache.derby.tools.ij
    ij version 10.5
    CONNECTION0*
    * = current connection
    ij> select * from t1;
    C1
    -----------
    1
    2
    3

    3 rows selected

    ij>

Parent topic: ij properties reference
Related reference
ij.connection.connectionName property
ij.database property
ij.dataSource property
ij.driver property
ij.exceptionTrace property
ij.maximumDisplayWidth property
ij.outfile property
ij.password property
ij.protocol property
ij.protocol.protocolName property
ij.showErrorCode property
ij.showNoConnectionsAtStart property
ij.URLCheck property
ij.user property
derby.ui.codeset property